# knife configure

The knife configure subcommand is used to create the knife.rb and client.rb files so that they can be distributed to workstations and nodes.

## Syntax

This argument has the following syntax when creating a knife.rb file:

    $ knife configure (options)

and the following syntax when creating a client.rb file:

    $ knife configure client DIRECTORY

## Options

Note

Review the list of common options available to this (and all) Knife subcommands and plugins.

This subcommand has the following options for use when configuring a knife.rb file:

`--admin-client-name NAME`
  The name of the client, typically the name of the admin client.
`--admin-client-key PATH`
  The path to the private key used by the client, typically a file named `admin.pem`.
`-i`, `--initial`
  Use to create a API client, typically an administrator client on a freshly-installed server.
`-r REPO`, `--repository REPO`
  The path to the chef-repo.
`--validation-client-name NAME`
  The name of the validation client, typically a client named chef-validator
`--validation-key PATH`
  The path to the validation key used by the client, typically a file named `validation.pem`.

## Examples

The following examples show how to use this Knife subcommand:

Configure knife.rb

    $ knife configure

Configure client.rb

    $ knife configure client '/directory'